<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@datashaper/react](./react.md) &gt; [useOnCreateStep](./react.useoncreatestep.md)

## useOnCreateStep() function

<b>Signature:</b>

```typescript
export declare function useOnCreateStep(save: (step: Step, index: number | undefined) => void, selectOutput: undefined | ((name: string) => void), dismissModal?: () => void): (step: Step, output: string | undefined, index: number | undefined) => void;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  save | (step: Step, index: number \| undefined) =&gt; void |  |
|  selectOutput | undefined \| ((name: string) =&gt; void) |  |
|  dismissModal | () =&gt; void | <i>(Optional)</i> |

<b>Returns:</b>

(step: Step, output: string \| undefined, index: number \| undefined) =&gt; void

